import QtQuick 1.0
import QtMultimediaKit 1.1

Rectangle {
    width: 800
    height: 450

    Video {
        id: video
        anchors.fill: parent
        fillMode: Video.PreserveAspectFit
        source: "./jorge540q40.ogv"

        function toggle() {
            if (!video.playing || video.paused) {
                video.play()
            }
            else {
                video.pause()
            }
        }

    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            video.toggle()
        }
    }
}
